<?php $page = $data['page']; ?>
</div>
<article class="page<?php if ($page['post_is_deleted'] == 1) { ?> bg-red-200<?php } ?>">
  <?php if ($page['post_is_deleted'] == 0 || UserData::checkAdmin()) { ?>
    <h1 class="text-3xl font-normal mt5">
      <?= $page['post_title']; ?>
    </h1>
    <div class="post-body max-w780">
      <?= $page['post_content']; ?>
    </div>
    <div class="gray-400 text-sm italic mb15">
      <?= $page['post_modified']; ?>
      <?php if (UserData::checkAdmin() || $page['post_user_id'] == $user['id']) { ?>
        <a class="text-sm gray-400 ml5" title="<?= Translate::get('edit'); ?>" href="<?= getUrlByName('page.edit', ['id' => $page['post_id']]); ?>">
          <i class="bi bi-pencil"></i>
        </a>
      <?php } ?>
    </div>
  <?php } else { ?>
    <div class="bg-red-200 p15 center mr10">
      <?= sprintf(Translate::get('content.deleted'), Translate::get('post')); ?>...
    </div>
  <?php } ?>
</article>
<div class="p20 hidden">
  <?= votes($user['id'], $page, 'post', 'ps', 'text-2xl middle', 'block'); ?>
</div>
<div class="bg-gray-100 p60 hidden mt15 mb-pl0 mb-pr0">
  <div class="p15 mr-auto bg-white hidden br-box-gray br-rd5 max-w640">
      <?php if ($data['facet']['facet_type'] == 'section') { ?>
        <h3 class="mt0 mb5 font-normal">
          <?= $data['facet']['facet_title']; ?>
        </h3>
      <?php } else { ?>
        <a href="<?= getUrlByName('blog', ['slug' => $data['facet']['facet_slug']]); ?>">
          <?= $data['facet']['facet_title']; ?>
        </a>
      <?php } ?>
      <?php foreach ($data['pages'] as $ind => $row) { ?>
        <a class="block pt5 pb5 gray" href="<?= getUrlByName('page', ['slug' => $row['post_slug'], 'facet' => $data['facet']['facet_slug'], ]); ?>">
          <i class="bi bi-info-square middle mr5"></i> <?= $row['post_title']; ?>
        </a>
      <?php } ?>
  </div>
</div>